<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<style>
    #z4_craft .layui-form-select .layui-edge {
        right: 20px;
    }
</style>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">哑粉纸</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="哑粉纸"/>
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kind" class="select" lay-search lay-filter="kind">
                    <option value="1">157克哑粉纸</option>
                    <option value="2">200克哑粉纸</option>
                    <option value="3">250克哑粉纸</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米)
            </p>
            <div class="layui-form-item" id="ui_size">
                <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量(个)
            </p>
            <div class="layui-form-item">
                <select class="layui-form-select" name="count" id="count">
                    <option value="200">200</option>
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                    <option value="1000">2000</option>
                    <option value="3000">3000</option>
                    <option value="5000">5000</option>
                    <option value="10000">10000</option>
                </select>
            </div>
            <div class="layui-form-item" style="display: none">
                <input type="text" name="count" id="diyCount" placeholder="请输入整数" class="layui-input" autocomplete="off"
                       disabled>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>
                工艺
            </p>
            <div class="layui-form-item" id='z4_craft'>
                <div class="layui-input-block no175" style="display: none">
                    覆膜工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="不覆膜" title="不覆膜" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="双面亮膜" title="双面亮膜">
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="双面哑膜" title="双面哑膜">
                </div>
                <div class="layui-input-block">
                    裁切工艺：
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="直角裁切" title="直角裁切" checked>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="异形模切" title="异形模切">
                </div>

                <div class="layui-input-block">
                    常见工艺：
                    <div class="layui-inline no175" style="display: none">
                        <input type="checkbox" name="craft" lay-filter="ui_craft" value="压痕" title="压痕">
                        <div class="layui-inline yhselect" style="width:60px; display:none">
                            <select name="yaheng" class="layui-select ">
                                <option value="1">1</option>
                                <option value="2">2</option>
                                <option value="3">3</option>
                            </select>
                        </div>
                    </div>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="折页" title="折页">
                    <div class="layui-inline zyselect" style="width:100px; display:none">
                        <select name="bianma" class="layui-select ">
                            <option value="对折页">对折页</option>
                            <option value="包心三折">包心三折</option>
                            <option value="风琴三折">风琴三折</option>
                            <option value="风琴四折">风琴四折</option>
                            <option value="关门四折">关门四折</option>
                            <option value="风琴五折">风琴五折</option>
                            <option value="风琴六折">风琴六折</option>
                            <option value="风琴七折">风琴七折</option>
                            <option value="十字折">十字折</option>
                            <option value="对折再对折">对折再对折</option>
                            <option value="自定义折页">自定义折页</option>
                        </select>
                    </div>
                    <input type="checkbox" name="craft" lay-filter="ui_craft" value="点线" title="点线">
                    <div class="layui-inline ydxselect" style="width:60px;display:none">
                        <select name="dadianxian" class="layui-select ">
                            <option value="1">1</option>
                            <option value="2">2</option>
                            <option value="3">3</option>
                        </select>
                    </div>

                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        const carft_list1 = ["压痕", "点线", "折页"];
        const carft_list2 = ["直角裁切", "异形模切"];
        const carft_list3 = ["不覆膜", "双面哑膜", "双面亮膜"];
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";

        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();

        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $("#proTypeValue").val(),
                kindValue: $('input[name="kindValue"]').val()
            },
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        });

        form.on('select(kind)', function (data) {
            $(".yhselect").hide();
            $(".ydxselect").hide();
            $(".zyselect").hide();
            $("#z4_craft input[name='craft']").prop("checked", false)

            $("#z4_craft input[name='craft'][value='直角裁切']").prop("checked", true)
            $(".no175").hide();
            $(".no175").find(":input").attr("disabled", true);
            if (data.value == 1) {

            } else {
                $("#z4_craft input[name='craft'][value='不覆膜']").prop("checked", true)
                $(".no175").show();
                $(".no175").find(":input").attr("disabled", false);
            }
            form.render();
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                    if (!$(this).is(':disabled')) {
                        craft_list.push($(this).val());
                    }
                }
            );
            // const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            // if (carft1.length > 1) {
            //     $(data.elem).prop("checked", true);
            //     layer.msg("常见工艺不能同时选择", {offset: ['300px', '300px']}, function () {
            //     });
            //     form.render();
            //     return false;
            // }
            const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            if (carft2.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("裁切工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            const carft3 = carft_list3.filter(craft => craft_list.includes(craft));
            if (carft3.length > 1) {
                $(data.elem).prop("checked", false);
                layer.msg("覆膜工艺不能同时选择", {offset: ['300px', '300px']}, function () {
                });
                form.render();
                return false;
            }
            $(".yhselect").hide();
            $(".ydxselect").hide();
            $(".zyselect").hide();
            if (craft_list.includes("压痕")) {
                $(".yhselect").show();
            }
            if (craft_list.includes("点线")) {
                $(".ydxselect").show();
            }
            if (craft_list.includes("折页")) {
                $(".zyselect").show();
            }
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var number = $("#number").val();
            var size = $("#size").val();
            var count = $("#count option:selected").val();
            var kind = $("select[name='kind'] option:selected").text();
            var craft = [];
            if ($("input[name='switchCount']").is(":checked")) {
                count = $("#count").val();
            }
            if (size == "") {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            $("input:checkbox[name='craft']:checked").each(function (i) {
                // 没有被禁用的工艺加到arr中
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "压痕") {
                        craft.push("压痕" + $(".yhselect select option:selected").val());
                    } else if ($(this).val() == "点线") {
                        craft.push("点线" + $(".ydxselect select option:selected").val());
                    } else if ($(this).val() == "折页") {
                        craft.push($(this).val());
                        craft.push($(".zyselect select option:selected").val());
                    } else {
                        craft.push($(this).val());
                    }
                }
            });

            const carft3 = carft_list3.filter(item => craft.includes(item));
            if (kind != 1 && carft3.length == 0) {
                layer.msg("请选择覆膜工艺！", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (craft.includes("折页")) {
                if ((size.split("*")[0] < 16 || size.split("*")[1] < 14.2) && (size.split("*")[0] < 14.2 || size.split("*")[1] < 16)) {
                    layer.msg("折页尺寸不能超过16*14.2 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            //
            // if ((size.split("*")[0] < 5.4 || size.split("*")[1] < 5.4)) {
            //     if (!craft.includes("异形模切")) {
            //         layer.msg("尺寸小与5.4*5.4请选择异形模切", {offset: ['300px', '300px']}, function () {
            //         });
            //         return false;
            //     }
            // }
            if ((size.split("*")[0] < 5.4 || size.split("*")[1] < 5.4)) {
                layer.msg("最小尺寸不能小于5.4*5.4", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;

                    var span_result = '哑粉纸 - ' + kind + ' - ' + size + ' cm (同款内容)\n';

                    span_result += `工艺：` + craft.join(",") + '\n';

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }

                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                        if(window.parent.system_isGai){
                            span_result +="\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                        }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>